Announcement

Collapse
No announcement yet.

Unreal Engine 4.7 Preview

Collapse
This topic is closed.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • replied
    Originally posted by Chance Ivey View Post
    What builds are you considering useless on GitHub? I'm curious to know if something is broken, as I don't believe we've seen many new issues coming from people building from source. Can you explain what you're experiencing or what you're attempting to do?
    Hi Chance, I would like to pitch in here and add that I've been posting on the VR forum about issues with the Git version as that's needed since I have some simple custom changes to the Engine as well as for the fact that I need Gear VR support. The issue I'm having is that it seems that VR support is broken not just for Gear VR which is new and in progress, but even for the Rift DK2 in general. I've been playing with the sample FPS level and the issues I'm getting are objects popping in and out due to bad occlusion culling (they don't pop if I turn it off), shadows in the wrong places for each eye, ghosting of what looks like the shadow buffer being rendered as a ghost over the left eye, and settings that completely break rendering like the right eye not rendering at all if I don't have an active shadow volume for example.

    I figured I'd bring them up here but I'm sure fixes are in progress but it would be nice to get some more of the WIP fixes so we can provide real feedback on the GearVR support and get a head start on testing our projects

    Edit: Also, typing exit in the "VR Preview" console causes the editor to crash not to exit preview; hitting escape works fine and brings me back to the editor
    Last edited by druidsbane; 02-09-2015, 10:36 AM.

    Leave a comment:


  • replied
    Originally posted by KingBadger3D View Post
    Chance,

    I spoke to you about this the other day before 4.7 preview 5 was available. Im working on code for a client that needed us to use 4.7 preview code because changes made to the LOD system and instancing. Downloaded 5 different git .zips of 4.7 over two days, which none compiled. Asked others who said the same thing to me, 4.7 preview code from GIT does not compile.

    Then checked your 4.7 preview thread which explained that 4.7 preview 5 build and whats on GIT isnt the same, so you should use the launcher for 4.7 preview 5. Download 4.7 Preview 5 through the launcher as is the ONLY working build available and find you don't even package the source with the 6GB download!. WTF man!.

    I cant download working 4.7 preview code from GIT, The launcher version also doesnt have compile ability? WTF am i supposed to do?
    So... The Launcher is a binary only experience. The preview builds are just that, previews of a product YET to be released. My advice for you, is to grab the 4.6.1 build via launcher, if you just need binaries. Otherwise grab the stable source code here, https://github.com/EpicGames/UnrealE.../4.6.1-release . Also make sure you grab the associated binary dependencies and have the right tools installed for your OS/Tool of choice, as stipulated in the howto (README.md)

    Tommy.
    Last edited by TommyBear; 02-09-2015, 07:11 AM.

    Leave a comment:


  • replied
    I finally have some more information about this post I made...

    https://forums.unrealengine.com/show...l=1#post204981

    I don't know if this is a known issue or not, but in Preview 5 I've been able to track down the problem, because in Preview 5 I actually get the same problem in the editor as well, not just the built version of the game, which allowed me to track it down.

    So what happens is, I have the base enemy blueprint that I use for all my enemies. This contains some exposed variables to control various things for when I create child blueprints to split out enemy types. As an example of what goes wrong, I have a socket I use for attaching a weapon, the name for this socket is a variable, so I have the option to rename it. The default value I give it is the actual name of the current weapon socket. So, because the default value is already the correct name, I don't change it on the child blueprint. And this is where things goes wrong.

    Basically what happens is that variable goes back to "None" as the name. If I change it and build the game, it doesn't matter. If I quit the editor and restart, it would actually be "None" at that point. If I remake the child blueprint, it seems to save it, but still sometimes would go back to "None".

    So, what I have found is, if I make the default name in the base blueprint "None", and then only put the correct name in the child blueprint, then it will save it. As long as I have to actually change the value to something else in the child blueprint, it will be saved. If the default value is already correct in the base blueprint, then in the child blueprint it will basically reset. So in the case of a name, it's "None", in the case of a numbered variable, it's "0", with boolean, it's "False".... etc.

    Every single variable I expose to use in the child blueprint that I don't change from the base blueprint setting, would essentially zero out, in which case nothing really works.

    So that's that one specific problem, but there's a similar problem with just a single blueprint, without creating child blueprints.

    If I use some variables and their default values are just set on the actual variable, that also "zero's out". I have to create on begin play a SET node to set the default value, where before, I could just set it on the node itself, and it would be kept as is. So, this I don't know if it's intentional, but I can understand that it could be. but with the parent/child problem, that has to definitely be a bug.

    Sorry for the long post, but I wanted to try and be clear about what's going on.

    Leave a comment:


  • replied
    Eek. Subscribed today to get a hands on with 4.7 preview 5 (and because 4.7 is due this month) - I opened my 4.6.1 project as a copy in 4.7p5 and, well - it never did actually open. The engine just crashes instantly with no error message or log during the splash screen loading.

    This happens every time I try opening this project in 4.7.

    Aside from that, I made a new project to test out 4.7 in general and I have to say - I really like the new UI and icons. As a single screen user, I feel I have so much more space.
    Last edited by Kenomica; 02-09-2015, 06:01 AM.

    Leave a comment:


  • replied
    Originally posted by Chance Ivey View Post
    Hey KingBadger - The launcher versions of the engine are already compiled binaries for those that don't care to bother with compiling from the git source, which accounts for a very large number of our developers.

    What builds are you considering useless on GitHub? I'm curious to know if something is broken, as I don't believe we've seen many new issues coming from people building from source. Can you explain what you're experiencing or what you're attempting to do?
    Chance,

    I spoke to you about this the other day before 4.7 preview 5 was available. Im working on code for a client that needed us to use 4.7 preview code because changes made to the LOD system and instancing. Downloaded 5 different git .zips of 4.7 over two days, which none compiled. Asked others who said the same thing to me, 4.7 preview code from GIT does not compile.

    Then checked your 4.7 preview thread which explained that 4.7 preview 5 build and whats on GIT isnt the same, so you should use the launcher for 4.7 preview 5. Download 4.7 Preview 5 through the launcher as is the ONLY working build available and find you don't even package the source with the 6GB download!. WTF man!.

    I cant download working 4.7 preview code from GIT, The launcher version also doesnt have compile ability? WTF am i supposed to do?

    Leave a comment:


  • replied
    Originally posted by KingBadger3D View Post
    Hey Dotcam,

    We know each other, so you understand im not being a hater here. I took your advice and reinstalled the launcher and finaly got the option to download 4.7 preview 5 through the launcher. After nearly 6GB download iget the chance to use it. Just to find that the ******** release you get through the launcher isnt able to compile!!!!!!.

    Other people probably knew this, but i never use the launcher builds, always build from git. I thought that by downloading 4.7 through the launcher id get the source equivalant code included. But NO, that would make far to much sense. You dont make the 4.7 preview 5 code available on git, and the version you download through the launcher also has no compile ability. WTF?

    This is a Joke right?, Why do we need 3 uncompilable versions of the engine on GIT (Master,Other version of master Promoted, and then preview WHICH DOESN'T COMPILE FOR **** BECAUSE IT'S BASICLY CONSTANTLY UPDATED SO ******* USELESS).

    3 Useless builds and the release, WHY IS THE WORKING PREVIEW BUILD NOT ON GIT. AGGGGHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!

    Ready to explode right now, How do you guys at Epic think this is a Release system? ******* Joke!
    Hey KingBadger - The launcher versions of the engine are already compiled binaries for those that don't care to bother with compiling from the git source, which accounts for a very large number of our developers.

    What builds are you considering useless on GitHub? I'm curious to know if something is broken, as I don't believe we've seen many new issues coming from people building from source. Can you explain what you're experiencing or what you're attempting to do?

    Leave a comment:


  • replied
    Originally posted by DotCam View Post
    Hey King,

    We will never intentionally ignore something posted to the forums. I am fairly certain most of the mods have seen your question but we can only answer questions where we know (or have some idea) what the problem is. We're not ignoring you, we just don't have the answer.

    I would try re-installing the launcher though, I just found another post where the user was reporting they were not able to download version 4.6.1 (wasn't in the list) but re-installing the launcher fixed the issue. If you are still having difficulties after that it would be best to post this issue to AnswerHub Bug Reports so Epic staff can look into it further. Thanks!
    Hey Dotcam,

    We know each other, so you understand im not being a hater here. I took your advice and reinstalled the launcher and finaly got the option to download 4.7 preview 5 through the launcher. After nearly 6GB download iget the chance to use it. Just to find that the release you get through the launcher isnt able to compile!!!!!!.

    Other people probably knew this, but i never use the launcher builds, always build from git. I thought that by downloading 4.7 through the launcher id get the source equivalant code included. But NO, that would make far to much sense. You dont make the 4.7 preview 5 code available on git, and the version you download through the launcher also has no compile ability. WTF?

    This is a Joke right?, Why do we need 3 uncompilable versions of the engine on GIT (Master,Other version of master Promoted, and then preview WHICH DOESN'T COMPILE FOR **** BECAUSE IT'S BASICLY CONSTANTLY UPDATED SO USELESS).

    3 Useless builds and the release, WHY IS THE WORKING PREVIEW BUILD NOT ON GIT. AGGGGHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!

    Edited, thought was a bit too rude. But what do you expect after being awake for 32 hours try to get 4.7 to build
    Last edited by KingBadger3D; 02-09-2015, 11:40 AM. Reason: Lack of Sleep

    Leave a comment:


  • replied
    Originally posted by KingBadger3D View Post
    Can't install 4.7 Preview from launcher! Just done windows reinstall. Installed the launcher, Have no projects of builds downloaded. It asked to download 4.6.1 but i don't want it, i only want the 4.7 preview 5 build, but only 4.6.1 is available. Why can't i just download the preview build? I have 4.6.1 on another drive, I never use the launcher for builds as i always build from github myself but unfortunately github 4.7 doesnt compile so forced to try the launcher version. Dont tell me i have to download 4.6.1 before i can download 4.7, that would be stupid. Any body have any ideas?

    E.g Maybe some shortcut commnd to the launcher icon to force the 4.7 preview build 5 to download?

    And yes that's right. This is a complete copy of what i wrote above, but when mods ignore such things and concentrate of how good someone's Gif is i get nervous. The new Preview release system is rubbish, it doesnt help get things done it stops things getting done. Every preview that gets release status through the launcher should be made clearly defines and available from github. And who's great idea was it to not give the option to download the latest preview branch in launcher if the last release isn't installed? (which it is but as i compile myself on another drive for a reason the launcher doesn't pick up on it) 3 Days wasted time trying to get the 4.7 preview 5 code and counting.
    Hey King,

    We will never intentionally ignore something posted to the forums. I am fairly certain most of the mods have seen your question but we can only answer questions where we know (or have some idea) what the problem is. We're not ignoring you, we just don't have the answer.

    I would try re-installing the launcher though, I just found another post where the user was reporting they were not able to download version 4.6.1 (wasn't in the list) but re-installing the launcher fixed the issue. If you are still having difficulties after that it would be best to post this issue to AnswerHub Bug Reports so Epic staff can look into it further. Thanks!

    Leave a comment:


  • replied
    Originally posted by Stephen Ellis View Post
    Automatic asset importing
    Man, you cannot even imagine how many hours this feature will save!
    Frankly said I started coding my own plugin for my meshes to be updated on their own after being resaved in Max.

    Thanks a lot guyz!

    Leave a comment:


  • replied
    Originally posted by Furroy View Post
    No sound in preview 5.
    This is a known issue... check the first post in this thread to see all of them for preview 5.

    Leave a comment:


  • replied
    It would be extremely helpful if we could keep earlier preview versions. I've had a number of issues it would really been nice for debugging if I could have gone back and tried my project in preview 4 to see if it was a mistake in my code or if it indeed was something that broke in preview 5.

    Leave a comment:


  • replied
    Originally posted by Steve Robb View Post
    Hi,

    I haven't got a repro for your particular case, but I've made what is likely going to be the correct fix so that it should be available in a future release.

    If you want to apply the fix to your copy of the source, you should simply be able to add NAME_Matrix to the static array inside UStructProperty::GetCPPTypeForwardDeclaration() in Engine\Source\Runtime\CoreUObject\Private\UObject\PropertyStruct.cpp.

    Hope this helps!

    Steve
    Thanks for pointing out where the fix is in the source, however since this plugin has to work with the vanilla engine it seems I will have to disable the function for 4.7 and re-enable it when the fix is implemented. Would this be included in 4.8?

    By the way, all the code to reproduce this issue is available at https://github.com/getnamo/leap-ue4, but I believe you have found the root cause correctly.

    Leave a comment:


  • replied
    No sound in preview 5.

    Leave a comment:


  • replied
    I'm getting no audio in editor AND packaged games; Is this normal for 4.7? I've replicated it in multiple projects but I'm slightly worried. I know the editor volume issue is already in the known issues but I'm getting no audio at all.

    In fact, the only time my audio is playing is with the .mp4 startup video of my project; The audio in that runs fine but then... Silence.

    Am I missing something? :/

    Leave a comment:


  • replied
    Can't install 4.7 Preview from launcher! Just done windows reinstall. Installed the launcher, Have no projects of builds downloaded. It asked to download 4.6.1 but i don't want it, i only want the 4.7 preview 5 build, but only 4.6.1 is available. Why can't i just download the preview build? I have 4.6.1 on another drive, I never use the launcher for builds as i always build from github myself but unfortunately github 4.7 doesnt compile so forced to try the launcher version. Dont tell me i have to download 4.6.1 before i can download 4.7, that would be stupid. Any body have any ideas?

    E.g Maybe some shortcut commnd to the launcher icon to force the 4.7 preview build 5 to download?

    And yes that's right. This is a complete copy of what i wrote above, but when mods ignore such things and concentrate of how good someone's Gif is i get nervous. The new Preview release system is rubbish, it doesnt help get things done it stops things getting done. Every preview that gets release status through the launcher should be made clearly defines and available from github. And who's great idea was it to not give the option to download the latest preview branch in launcher if the last release isn't installed? (which it is but as i compile myself on another drive for a reason the launcher doesn't pick up on it) 3 Days wasted time trying to get the 4.7 preview 5 code and counting.

    Leave a comment:

Working...
X